Issue #7731 has been updated by naruse (Yui NARUSE).

Status changed from Open to Feedback

I don't have Snow Leopard.
Anyone can reproduce this?
----------------------------------------
Bug #7731: Segmentation fault when trying to start rails server
https://bugs.ruby-lang.org/issues/7731#change-35606

Author: javigbas (Javier Gutierrez)
Status: Feedback
Priority: Normal
Assignee: 
Category: 
Target version: 
ruby -v: ruby 1.9.2p290 (2011-07-09 revision 32553) [x86_64-darwin10.8.0]


I was using ruby version 1.8.7-p334 with no problem with my project.  I tried to install paperclip and received the following message:
"Gem::InstallError: paperclip requires Ruby version >= 1.9.2."

So I installed the latest version of ruby, ran "bundle install" (everything is ok here) and when I try to start the server using "rails s" I get the following message:

---------------------------------------------------------------------------
(({$ rails s
/Users/herzio/.rvm/gems/ruby-1.9.2-p290/gems/mysql2-0.3.11/lib/mysql2/mysql2.bundle: [BUG] Segmentation fault
ruby 1.9.2p290 (2011-07-09 revision 32553) [x86_64-darwin10.8.0]

-- control frame ----------
c:0025 p:-543712580 s:0075 b:0075 l:000074 d:000074 TOP   
c:0024 p:---- s:0073 b:0073 l:000072 d:000072 CFUNC  :require
c:0023 p:0119 s:0069 b:0069 l:000068 d:000068 TOP    /Users/herzio/.rvm/gems/ruby-1.9.2-p290/gems/mysql2-0.3.11/lib/mysql2.rb:9
c:0022 p:---- s:0067 b:0067 l:000066 d:000066 FINISH
c:0021 p:---- s:0065 b:0065 l:000064 d:000064 CFUNC  :require
c:0020 p:0026 s:0061 b:0061 l:000040 d:000060 BLOCK  /Users/herzio/.rvm/gems/ruby-1.9.2-p290@global/gems/bundler-1.2.3/lib/bundler/runtime.rb:68
c:0019 p:---- s:0058 b:0058 l:000057 d:000057 FINISH
c:0018 p:---- s:0056 b:0056 l:000055 d:000055 CFUNC  :each
c:0017 p:0091 s:0053 b:0053 l:000040 d:000052 BLOCK  /Users/herzio/.rvm/gems/ruby-1.9.2-p290@global/gems/bundler-1.2.3/lib/bundler/runtime.rb:66
c:0016 p:---- s:0046 b:0046 l:000045 d:000045 FINISH
c:0015 p:---- s:0044 b:0044 l:000043 d:000043 CFUNC  :each
c:0014 p:0046 s:0041 b:0041 l:000040 d:000040 METHOD /Users/herzio/.rvm/gems/ruby-1.9.2-p290@global/gems/bundler-1.2.3/lib/bundler/runtime.rb:55
c:0013 p:0021 s:0037 b:0037 l:000036 d:000036 METHOD /Users/herzio/.rvm/gems/ruby-1.9.2-p290@global/gems/bundler-1.2.3/lib/bundler.rb:128
c:0012 p:0089 s:0033 b:0033 l:000032 d:000032 TOP    /Users/herzio/Code/beersquare/config/application.rb:7
c:0011 p:---- s:0031 b:0031 l:000030 d:000030 FINISH
c:0010 p:---- s:0029 b:0029 l:000028 d:000028 CFUNC  :require
c:0009 p:0016 s:0025 b:0025 l:000016 d:000024 BLOCK  /Users/herzio/.rvm/gems/ruby-1.9.2-p290/gems/railties-3.1.3/lib/rails/commands.rb:52
c:0008 p:---- s:0022 b:0022 l:000021 d:000021 FINISH
c:0007 p:---- s:0020 b:0020 l:000019 d:000019 CFUNC  :tap
c:0006 p:0721 s:0017 b:0017 l:000016 d:000016 TOP    /Users/herzio/.rvm/gems/ruby-1.9.2-p290/gems/railties-3.1.3/lib/rails/commands.rb:49
c:0005 p:---- s:0012 b:0012 l:000011 d:000011 FINISH
c:0004 p:---- s:0010 b:0010 l:000009 d:000009 CFUNC  :require
c:0003 p:0061 s:0006 b:0006 l:0014e8 d:000af8 EVAL   script/rails:6
c:0002 p:---- s:0004 b:0004 l:000003 d:000003 FINISH
c:0001 p:0000 s:0002 b:0002 l:0014e8 d:0014e8 TOP   
---------------------------
-- Ruby level backtrace information ----------------------------------------
script/rails:6:in `<main>'
script/rails:6:in `require'
/Users/herzio/.rvm/gems/ruby-1.9.2-p290/gems/railties-3.1.3/lib/rails/commands.rb:49:in `<top (required)>'
/Users/herzio/.rvm/gems/ruby-1.9.2-p290/gems/railties-3.1.3/lib/rails/commands.rb:49:in `tap'
/Users/herzio/.rvm/gems/ruby-1.9.2-p290/gems/railties-3.1.3/lib/rails/commands.rb:52:in `block in <top (required)>'
/Users/herzio/.rvm/gems/ruby-1.9.2-p290/gems/railties-3.1.3/lib/rails/commands.rb:52:in `require'
/Users/herzio/Code/beersquare/config/application.rb:7:in `<top (required)>'
/Users/herzio/.rvm/gems/ruby-1.9.2-p290@global/gems/bundler-1.2.3/lib/bundler.rb:128:in `require'
/Users/herzio/.rvm/gems/ruby-1.9.2-p290@global/gems/bundler-1.2.3/lib/bundler/runtime.rb:55:in `require'
/Users/herzio/.rvm/gems/ruby-1.9.2-p290@global/gems/bundler-1.2.3/lib/bundler/runtime.rb:55:in `each'
/Users/herzio/.rvm/gems/ruby-1.9.2-p290@global/gems/bundler-1.2.3/lib/bundler/runtime.rb:66:in `block in require'
/Users/herzio/.rvm/gems/ruby-1.9.2-p290@global/gems/bundler-1.2.3/lib/bundler/runtime.rb:66:in `each'
/Users/herzio/.rvm/gems/ruby-1.9.2-p290@global/gems/bundler-1.2.3/lib/bundler/runtime.rb:68:in `block (2 levels) in require'
/Users/herzio/.rvm/gems/ruby-1.9.2-p290@global/gems/bundler-1.2.3/lib/bundler/runtime.rb:68:in `require'
/Users/herzio/.rvm/gems/ruby-1.9.2-p290/gems/mysql2-0.3.11/lib/mysql2.rb:9:in `<top (required)>'
/Users/herzio/.rvm/gems/ruby-1.9.2-p290/gems/mysql2-0.3.11/lib/mysql2.rb:9:in `require'

-- C level backtrace information -------------------------------------------

[NOTE]
You may have encountered a bug in the Ruby interpreter or extension libraries.
Bug reports are welcome.
For details: http://www.ruby-lang.org/bugreport.html

Abort trap
---------------------------------------------------------------------------


-- 
http://bugs.ruby-lang.org/